<script setup lang="ts">
  defineProps<{
    config: AppLoadingConfig;
  }>();
</script>

<template>
  <Teleport to="body">
    <SwLoading
      :class="['z-loading text-primary fixed inset-0 text-3xl', config.mainClass]"
      v-bind="$attrs"
    />
  </Teleport>
</template>
